### 3.24 `iswpunct`, `iswpunct_l`—punctuation wide character test

Synopsis

         #include <wctype.h>
         int iswpunct(wint_t c);

         #include <wctype.h>
         int iswpunct_l(wint_t c, locale_t locale);

Description
`iswpunct` is a function which classifies wide-character values that are punctuation.

`iswpunct_l` is like `iswpunct` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswpunct`, `iswpunct_l` return non-zero if c is a punctuation wide character.

Portability
`iswpunct` is C99. `iswpunct_l` is POSIX-1.2008.

No supporting OS subroutines are required.